Subject: bug#60176: 29.0.60; Fallback file variable mode if treesitter is not usable

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Jan 2023 09:29:55 -0500

>> We can use:
>> 
>>     (setq (alist-get 'c-mode major-mode-remap-alist)
>>           (lambda () (if (treesit-available-p) (c-ts-mode) (c-mode))))
>
> Who is "we" here?

"we" as in "we can recommend this to those users who want to do that".

> I don't want to do this by default, because we want users of Emacs 29

I don't either.  I was just answering to the request to make room in the
format of `major-mode-remap-alist` for a potential future "predicate",
by pointing out that the current format already allows that.

        Stefan